Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163040 - "Exception Occurred" when saving
Summary: "Exception Occurred" when saving
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 14:05 UTC by sylvain
Modified: 2008-02-18 06:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-18 06:41:34 UTC


Attachments (Terms of Use)

Description sylvain 2005-07-12 14:05:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
System-config-network crashes and "Exception Occurred" appears when i want to save the network configuration (File->save or crtl+s)

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1.Open system-network-config
2.Modify anything
3.File->save or ctrl+s
  

Actual Results:  Exception Occured :
An Unhandled Exception has occurred. This is most likely a bug...

Expected Results:  system-config-network should save the modification and should work! (for exemple : modify the /etc/sysconfig/networkscript/ifcfg-ethX)

Additional info:

Crash dump:
Component: system-config-network
Version: 1.3.26
Summary: TB400f81f0 sre.py:227:_compile:error: multiple repeat

Traceback (most recent call last):
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 797, in on_applyButton_clicked
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 372, in save
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 404, in saveProfiles
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 382, in save
  File "/usr/lib/python2.4/site-packages/rhpl/Conf.py", line 574, in __setitem__
    while self.findnextline('^\S*' + '[' + \
  File "/usr/lib/python2.4/site-packages/rhpl/Conf.py", line 199, in findnextline
    elif re.search(regexp, self.lines[self.line]):
  File "/usr/lib/python2.4/sre.py", line 134, in search
    return _compile(pattern, flags).search(string)
  File "/usr/lib/python2.4/sre.py", line 227, in _compile
    raise error, v # invalid expression
error: multiple repeat

Local variables in innermost frame:
cachekey: (<type 'str'>, '^\\S*[\t ]+#???', 0)
pattern: ^\S*[	 ]+#???
p: None
flags: 0
key: ('^\\S*[\t ]+#???', 0)
v: multiple repeat

Comment 1 Christian Iseli 2007-01-20 00:21:51 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 petrosyan 2008-02-18 06:41:34 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.